@import "variables.scss";
.cover-input {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  width: 100%;
  height: 35px;
  background: $white-text-color;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
  overflow: hidden;
  position: relative;
  .cover-btn {
    width: 35px;
    height: 35px;
    position: absolute;
    top: 0;
    right: 0;
    .click-arrow {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 50%;
      &.drop-down {
        height: 100%;
        .arrow-up {
          &.arrow-down {
            margin: 0;
          }
        }
      }
      .arrow-up {
        display: block;
        width: 0;
        height: 0;
        margin-top: 8px;
        border-style: solid;
        border-width: 0 5px 5px 5px;
        border-color: transparent transparent $primary-color transparent;
        &.arrow-down {
          margin-top: 0;
          margin-bottom: 8px;
          border-width: 5px 5px 0 5px;
          border-color: $primary-color transparent transparent transparent;
        }
      }
    }
  }
  input {
    width: 100%;
    height: 100%;
    border-radius: 6px;
    padding: 0 45px 0 10px;
    font-size: 15px;
    color: $gray-darker;
    border: none;
    outline: none;
    text-align: right;
    &::-webkit-input-placeholder { 
      font-weight: normal;
    }
    &::-moz-placeholder {
      font-weight: normal;
    }
    &:-ms-input-placeholder { 
      font-weight: normal;
    }
    &:hover {
      border: 2px solid $default-text-color;
      padding: 0 43px 0 8px;
    }
    &:focus {
      border: 2px solid $primary-color;
      padding: 0 43px 0 8px;
    }
  }
  .txt-unit {
    display: block;
    font-size: 15px;
    color: $gray-darker;
    position: absolute;
    top: 7px;
    right: 30px;
  }
  &.is-invalid {
    input {
      border: 2px solid $error-border-color;
      padding: 0 43px 0 8px;
    }
  }
}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .cover-input {
    .txt-unit {
      top: calc(50% - 11px);
    }
  }
}